Bug 320111 - x86_64 - Fix FS/GS registers for VT execution
x86_64 - Fix FS/GS registers for VT execution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 09:36 EDT by Daniel Buchmann
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.23*
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 17:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the slow boot (1.15 KB, patch)
2007-10-05 09:36 EDT, Daniel Buchmann
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 224671 None None None Never

  None (edit)
Description Daniel Buchmann 2007-10-05 09:36:13 EDT
See RedHat Bugzilla id #224671 for Zachary Amsden's excellent description of
this problem.
The fix seems to have been been committed upstream to the RHEL kernel in
february 2007, and has been confirmed to be in the -45 kernel on September 12th
(see bug #224671), but neither kernel update 2.6.22.7-57 for Fedora Core 6 nor
kernel update 2.6.22.9-91 for Fedora 7 seems to have this patch.
Without this patch, booting Fedora Core 6 or Fedora 7 in a 64-bit VM is
extremely slow and CPU-consuming.
Comment 1 Daniel Buchmann 2007-10-05 09:36:13 EDT
Created attachment 217341 [details]
Patch to fix the slow boot
Comment 2 Chuck Ebbert 2007-10-05 18:30:14 EDT
Patch queued for FC6 and F7.
Comment 3 Chuck Ebbert 2007-10-10 19:24:51 EDT
Next F7 kernel will be 2.6.23 and will have this fix already applied.
Comment 4 Chuck Ebbert 2007-11-27 17:48:31 EST
Fix is in both FC6 and F7 now.

Note You need to log in before you can comment on or make changes to this bug.